Show / Hide Table of Contents

# Struct EventFramework

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Event

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct EventFramework

### Fields

| Improve this Doc View Source

#### DirectorModule

##### Declaration

    public DirectorModule DirectorModule

##### Field Value

Type | Description
--- | ---
DirectorModule |

| Improve this Doc View Source

#### EventHandlerModule

##### Declaration

    public EventHandlerModule EventHandlerModule

##### Field Value

Type | Description
--- | ---
EventHandlerModule |

| Improve this Doc View Source

#### EventSceneModule

##### Declaration

    public EventSceneModule EventSceneModule

##### Field Value

Type | Description
--- | ---
EventSceneModule |

| Improve this Doc View Source

#### EventState1

##### Declaration

    public EventState EventState1

##### Field Value

Type | Description
--- | ---
EventState |

| Improve this Doc View Source

#### EventState2

##### Declaration

    public EventState EventState2

##### Field Value

Type | Description
--- | ---
EventState |

| Improve this Doc View Source

#### LoadState

##### Declaration

    public int LoadState

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### LuaActorModule

##### Declaration

    public LuaActorModule LuaActorModule

##### Field Value

Type | Description
--- | ---
LuaActorModule |

| Improve this Doc View Source

#### LuaState

##### Declaration

    public LuaState*LuaState

##### Field Value

Type | Description
--- | ---
LuaState* |

| Improve this Doc View Source

#### LuaThread

##### Declaration

    public LuaThread LuaThread

##### Field Value

Type | Description
--- | ---
LuaThread |

### Methods

| Improve this Doc View Source

#### GetContentDirector()

##### Declaration

    public ContentDirector*GetContentDirector()

##### Returns

Type | Description
--- | ---
ContentDirector* |

| Improve this Doc View Source

#### GetCurrentContentId()

##### Declaration

    public static uint GetCurrentContentId()

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetEventHandlerById(UInt16)

##### Declaration

    public EventHandler*GetEventHandlerById(ushort id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | id |

##### Returns

Type | Description
--- | ---
EventHandler* |

| Improve this Doc View Source

#### GetEventHandlerById(UInt32)

##### Declaration

    public EventHandler*GetEventHandlerById(uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | id |

##### Returns

Type | Description
--- | ---
EventHandler* |

| Improve this Doc View Source

#### GetInstanceContentDeepDungeon()

##### Declaration

    public InstanceContentDeepDungeon*GetInstanceContentDeepDungeon()

##### Returns

Type | Description
--- | ---
InstanceContentDeepDungeon* |

| Improve this Doc View Source

#### GetInstanceContentDirector()

##### Declaration

    public InstanceContentDirector*GetInstanceContentDirector()

##### Returns

Type | Description
--- | ---
InstanceContentDirector* |

| Improve this Doc View Source

#### GetPublicContentDirector()

##### Declaration

    public PublicContentDirector*GetPublicContentDirector()

##### Returns

Type | Description
--- | ---
PublicContentDirector* |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static EventFramework*Instance()

##### Returns

Type | Description
--- | ---
EventFramework* |